Bug 132742 - printconf-gui does not write correct information to cups printer.conf file for smb (samba) printers
printconf-gui does not write correct information to cups printer.conf file fo...
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: redhat-config-printer (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2004-09-16 12:15 EDT by Doug
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-03-13 23:24:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
This one works (1.95 KB, text/plain)
2004-10-08 12:48 EDT, Doug
no flags Details
This is the one created by filling in the fields and does not work with forward slash. (1.95 KB, text/plain)
2004-10-08 12:49 EDT, Doug
no flags Details
/usr/share/printconf/util/backend.py (27.81 KB, text/plain)
2004-12-03 11:47 EST, Tim Waugh
no flags Details
/usr/share/printconf/util/addQueue.py (42.01 KB, text/plain)
2004-12-03 11:48 EST, Tim Waugh
no flags Details

  None (edit)
Description Doug 2004-09-16 12:15:40 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; X11; Linux i686) Opera 
7.51  [en]

Description of problem:
The printconf-gui is the process being used (which seems to be a link 
to consolehelper). I am in a NT domain (unfortunately) and trying to 
print to a SMB printer.  If I fill in the fields in the wizard as 
they should be, the trailing slash is not placed between the 
workgroup field and the server name.  My username, which is in the 
form domain\user comes out as domain\\user in the printers.conf file.
Here is an example of the issue:
the line should be:
DeviceURI smb://domain\user:passwd@domain/server/share
And it comes out:
DeviceURI smb://domain\\user:passwd@domainserver/share

The frustrating thing is that I never found a way to obtain verbose 
information on where this information was stored (printers.conf), so 
it took a couple of hours to figure this one out. Arghh!

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Click the New (or edit an existing) tab (to create a new print 
2.Select SMB as the type
3.Fill in the fields.

Actual Results:  DeviceURI smb://domain\\user:
in printers.conf file

Expected Results:  DeviceURI smb://domain\user:
in printers.conf file

Additional info:
Comment 1 Tim Waugh 2004-10-08 06:37:40 EDT
Please confirm the version of redhat-config-printer that you are
using. doesn't sound right.

Also, can you confirm that after changing printers.conf to have
smb://domain\user:passwd@domain/server/share printing to that queue works?

Comment 2 Tim Waugh 2004-10-08 07:23:33 EDT
With I can't reproduce this.  Please attach the output of
'printconf-tui --Xexport', after making sure to replace your username
and password with 'username' and 'password'.  Thanks.
Comment 3 Doug 2004-10-08 12:40:40 EDT
Sorry, here is the correct version:
Gnome redhat-config-printer

And yes, I just double-checked my printers.conf file and
is the only way I can print - it has been working since I posted the 
Comment 4 Doug 2004-10-08 12:48:33 EDT
Created attachment 104949 [details]
This one works
Comment 5 Doug 2004-10-08 12:49:40 EDT
Created attachment 104951 [details]
This is the one created by filling in the fields and does not work with forward slash.
Comment 6 Tim Waugh 2004-12-03 11:47:31 EST
Created attachment 107843 [details]
Comment 7 Tim Waugh 2004-12-03 11:48:32 EST
Created attachment 107844 [details]

Could you please save these two attachments and copy them to
/usr/share/printconf/util/backend.py and /usr/share/printconf/util/addQueue.py,
and see if they fix the problem?

Comment 8 Doug 2004-12-15 20:03:40 EST
This latest change works. The user name is domain\username in the user box,
and that works.

Comment 9 Tim Waugh 2004-12-16 04:36:22 EST
Fixed in CVS.  This fix will be included in any future RHEL3 update for
redhat-config-printer, and will be included in RHEL4 when released.

Note You need to log in before you can comment on or make changes to this bug.